- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TValidationSummary

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TValidationSummary

TValidationSummary class

TValidationSummary displays a summary of validation errors inline on a Web page, in a message box, or both. By default, a validation summary will collect TBaseValidator::getErrorMessage of all failed validators on the page. If ValidationGroup is not empty, only those validators who belong to the group will show their error messages in the summary.

The summary can be displayed as a list, as a bulleted list, or as a single paragraph based on the DisplayMode property. The messages shown can be prefixed with HeaderText.

The summary can be displayed on the Web page and in a message box by setting the ShowSummary and ShowMessageBox properties, respectively. Note, the latter is only effective when EnableClientScript is true.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Constructor Summary
public | __construct Constructor.

Method Summary
protected void | addAttributesToRender ( mixed $writer)
protected TClientSideValidationSummaryOptions | createClientScript ()
boolean | getAutoUpdate () Gets the auto-update for this summary.
protected array | getClientScriptOptions () Get a list of options for the client-side javascript validation summary.
TClientSideValidationSummaryOptions | getClientSide ()
TValidationSummaryDisplayStyle | getDisplay ()
TValidationSummaryDisplayMode | getDisplayMode ()
boolean | getEnableClientScript ()
protected array | getErrorMessages () Get the list of validation error messages.
string | getHeaderText ()
boolean | getShowAnchor ()
boolean | getShowMessageBox ()
boolean | getShowSummary ()
string | getValidationGroup ()
protected string | renderBulletList ( array $writer, string 1) Render the validation summary as a bullet list.
string | renderContents ( mixed $writer) Overrides parent implementation by rendering TValidationSummary-specific presentation.
protected void | renderHeaderOnly ( THtmlWriter $writer) Render the validation summary header text only.
protected void | renderJsSummary ( array 0) Render the javascript for validation summary.
protected string | renderList ( array $writer, string 1) Render the validation summary as a simple list.
protected string | renderSingleParagraph ( array $writer, string 1) Render the validation summary as a paragraph.
void | setAutoUpdate ( boolean $value) Sets the summary to auto-update on the client-side
void | setDisplay ( TValidationSummaryDisplayStyle $value)
void | setDisplayMode ( TValidationSummaryDisplayMode $value)
void | setEnableClientScript ( boolean $value)
void | setHeaderText ( string $value) Sets the header text to be displayed at the top of the summary
void | setShowAnchor ( boolean $value)
void | setShowMessageBox ( boolean $value)
void | setShowSummary ( boolean $value)
void | setValidationGroup ( string $value)

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Constructor Details

## __construct

public __construct |

Constructor.

This method sets the foreground color to red.

Method Details

## addAttributesToRender

protected void addAttributesToRender | (mixed $writer )

Input
mixed | $writer |
Output
Exception

## createClientScript

protected TClientSideValidationSummaryOptions createClientScript | ()

Output
TClientSideValidationSummaryOptions | javascript validation summary event options.
Exception

## getAutoUpdate

public boolean getAutoUpdate | ()

Gets the auto-update for this summary.

Output
boolean | automatic client-side summary updates. Defaults to true.
Exception

## getClientScriptOptions

protected array getClientScriptOptions | ()

Get a list of options for the client-side javascript validation summary.

Output
array | list of options for the summary
Exception

## getClientSide

public TClientSideValidationSummaryOptions getClientSide | ()

Output
TClientSideValidationSummaryOptions | client-side validation summary event options.
Exception

## getDisplay

public TValidationSummaryDisplayStyle getDisplay | ()

Output
TValidationSummaryDisplayStyle | the style of displaying the error messages. Defaults to TValidationSummaryDisplayStyle::Fixed.
Exception

## getDisplayMode

public TValidationSummaryDisplayMode getDisplayMode | ()

Output
TValidationSummaryDisplayMode | the mode of displaying error messages. Defaults to TValidationSummaryDisplayMode::BulletList.
Exception

## getEnableClientScript

public boolean getEnableClientScript | ()

Output
boolean | whether the TValidationSummary component updates itself using client-side script. Defaults to true.
Exception

## getErrorMessages

protected array getErrorMessages | ()

Get the list of validation error messages.

Output
array | list of validator error messages.
Exception

## getHeaderText

public string getHeaderText | ()

Output
string | the header text displayed at the top of the summary
Exception

## getShowAnchor

public boolean getShowAnchor | ()

Output
boolean | whether the validation summary should be anchored. Defaults to false.
Exception

## getShowMessageBox

public boolean getShowMessageBox | ()

Output
boolean | whether the validation summary is displayed in a message box. Defaults to false.
Exception

## getShowSummary

public boolean getShowSummary | ()

Output
boolean | whether the validation summary is displayed inline. Defaults to true.
Exception

## getValidationGroup

public string getValidationGroup | ()

Output
string | the group which this validator belongs to
Exception

## renderBulletList

protected string renderBulletList | (array $writer , string 1 )

Render the validation summary as a bullet list.

Input
array | $writer | list of messages
string | 1 | the header text
Output
string | summary bullet list
Exception

## renderContents

public string renderContents | (mixed $writer )

Overrides parent implementation by rendering TValidationSummary-specific presentation.

Input
mixed | $writer |
Output
string | the rendering result
Exception

## renderHeaderOnly

protected void renderHeaderOnly | (THtmlWriter $writer )

Render the validation summary header text only.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## renderJsSummary

protected void renderJsSummary | (array 0 )

Render the javascript for validation summary.

Input
array | 0 | list of options for validation summary.
Output
Exception

## renderList

protected string renderList | (array $writer , string 1 )

Render the validation summary as a simple list.

Input
array | $writer | list of messages
string | 1 | the header text
Output
string | summary list
Exception

## renderSingleParagraph

protected string renderSingleParagraph | (array $writer , string 1 )

Render the validation summary as a paragraph.

Input
array | $writer | list of messages
string | 1 | the header text
Output
string | summary paragraph
Exception

## setAutoUpdate

public void setAutoUpdate | (boolean $value )

Sets the summary to auto-update on the client-side

Input
boolean | $value | true for automatic summary updates.
Output
Exception

## setDisplay

public void setDisplay | (TValidationSummaryDisplayStyle $value )

Input
TValidationSummaryDisplayStyle | $value | the style of displaying the error messages
Output
Exception

## setDisplayMode

public void setDisplayMode | (TValidationSummaryDisplayMode $value )

Input
TValidationSummaryDisplayMode | $value | the mode of displaying error messages
Output
Exception

## setEnableClientScript

public void setEnableClientScript | (boolean $value )

Input
boolean | $value | whether the TValidationSummary component updates itself using client-side script.
Output
Exception

## setHeaderText

public void setHeaderText | (string $value )

Sets the header text to be displayed at the top of the summary

Input
string | $value | the header text
Output
Exception

## setShowAnchor

public void setShowAnchor | (boolean $value )

Input
boolean | $value | whether the validation summary should be anchored.
Output
Exception

## setShowMessageBox

public void setShowMessageBox | (boolean $value )

Input
boolean | $value | whether the validation summary is displayed in a message box.
Output
Exception

## setShowSummary

public void setShowSummary | (boolean $value )

Input
boolean | $value | whether the validation summary is displayed inline.
Output
Exception

## setValidationGroup

public void setValidationGroup | (string $value )

Input
string | $value | the group which this validator belongs to
Output
Exception